;This file is use by the DetectMissingWindowsFiles function to
;check for missing components. This function modifies the
;WINCOMP.INF to install the missing components, which can be
;called later during the install with SETUPX.DLL
;
;For files needed:
;FileName=Windirectory to install to
;	Tokens definintions
;	WINSYSDIR=Windows System Directory
;	WINDIR=Windows Directory
;	WININFDIR=Windows INF Directory
;	WINDRVDIR=Windows System32\Drivers directory
;
;For Services Needed
;OptionalComponentName=INFName,INFSection,SizeOfUpdate
;Optional name found under "HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Setup\OptionalComponents"
;Look at entry for INFName and INFSection, and check file sizes for SizeOfUpdate

[DXVersionCheck]
Version=4.08.00.0400

[Win98G]
;STREAM.SYS=WINDRVDIR
;KS.SYS=WINDRVDIR
MSPCLOCK.SYS=WINDRVDIR
MSKSSRV.SYS=WINDRVDIR
KSPROXY.AX=WINSYSDIR
KSTVTUNE.AX=WINSYSDIR
KSWDMCAP.AX=WINSYSDIR
KSXBAR.AX=WINSYSDIR
KSUSER.DLL=WINSYSDIR
VFWWDM32.DLL=WINSYSDIR
VFWWDM.DRV=WINSYSDIR
KS.INF=WININFDIR
KSCAPTUR.INF=WININFDIR
KSFILTER.INF=WININFDIR
SWENUM.INF=WININFDIR
AVICAP.DLL=WINSYSDIR
AVICAP32.DLL=WINSYSDIR
MSVIDEO.DLL=WINSYSDIR
MSVFW32.DLL=WINSYSDIR
WDMAUD.DRV=WINSYSDIR
PORTCLS.SYS=WINDRVDIR
REDBOOK.SYS=WINDRVDIR
SBEMUL.SYS=WINDRVDIR
SWMIDI.SYS=WINDRVDIR
KMIXER.SYS=WINDRVDIR
GM.DLS=WINDRVDIR
Sysaudio.sys=WINDRVDIR
Usbaudio.sys=WINDRVDIR
Wdmaud.sys=WINDRVDIR
USBSTUFF=WINDRVDIR

[Win98SE]
;STREAM.SYS=WINDRVDIR
;KS.SYS=WINDRVDIR
MSPCLOCK.SYS=WINDRVDIR
MSKSSRV.SYS=WINDRVDIR
KSPROXY.AX=WINSYSDIR
KSTVTUNE.AX=WINSYSDIR
KSWDMCAP.AX=WINSYSDIR
KSXBAR.AX=WINSYSDIR
KSUSER.DLL=WINSYSDIR
VFWWDM32.DLL=WINSYSDIR
VFWWDM.DRV=WINSYSDIR
KS.INF=WININFDIR
KSCAPTUR.INF=WININFDIR
KSFILTER.INF=WININFDIR
SWENUM.INF=WININFDIR
AVICAP.DLL=WINSYSDIR
AVICAP32.DLL=WINSYSDIR
MSVIDEO.DLL=WINSYSDIR
MSVFW32.DLL=WINSYSDIR
WDMAUD.DRV=WINSYSDIR
PORTCLS.SYS=WINDRVDIR
REDBOOK.SYS=WINDRVDIR
SBEMUL.SYS=WINDRVDIR
SWMIDI.SYS=WINDRVDIR
KMIXER.SYS=WINDRVDIR
Dmusic.sys=WINDRVDIR
Gm.dls=WINDRVDIR
Kmixer.sys=WINDRVDIR
Sysaudio.sys=WINDRVDIR
Wdmaud.sys=WINDRVDIR
USBSTUFF=WINDRVDIR

[WinME]
;STREAM.SYS=WINDRVDIR
;KS.SYS=WINDRVDIR
MSPCLOCK.SYS=WINDRVDIR
MSKSSRV.SYS=WINDRVDIR
KSPROXY.AX=WINSYSDIR
KSTVTUNE.AX=WINSYSDIR
KSWDMCAP.AX=WINSYSDIR
KSXBAR.AX=WINSYSDIR
KSUSER.DLL=WINSYSDIR
VFWWDM32.DLL=WINSYSDIR
VFWWDM.DRV=WINSYSDIR
KS.INF=WININFDIR
KSCAPTUR.INF=WININFDIR
KSFILTER.INF=WININFDIR
SWENUM.INF=WININFDIR
AVICAP.DLL=WINSYSDIR
AVICAP32.DLL=WINSYSDIR
MSVIDEO.DLL=WINSYSDIR
MSVFW32.DLL=WINSYSDIR
WDMAUD.DRV=WINSYSDIR
PORTCLS.SYS=WINDRVDIR
REDBOOK.SYS=WINDRVDIR
SBEMUL.SYS=WINDRVDIR
SWMIDI.SYS=WINDRVDIR
KMIXER.SYS=WINDRVDIR
DMUSIC.SYS=WINDRVDIR
GM.DLS=WINDRVDIR
Drmk.sys=WINDRVDIR
Mspqm.sys=WINDRVDIR
;Splitter.sys=WINDRVDIR
Sysaudio.sys=WINDRVDIR
Usbaudio.sys=WINDRVDIR
Wdmaud.sys=WINDRVDIR
USBSTUFF=WINDRVDIR



[Win95]

[Win2000]
STREAM.SYS=WINDRVDIR
KS.SYS=WINDRVDIR
MSPCLOCK.SYS=WINDRVDIR
MSKSSRV.SYS=WINDRVDIR
KSPROXY.AX=WINSYSDIR
KSTVTUNE.AX=WINSYSDIR
KSVPINTF.AX=WINSYSDIR
KSWDMCAP.AX=WINSYSDIR
KSXBAR.AX=WINSYSDIR
KSCLOCKF.AX=WINSYSDIR
KSUSER.DLL=WINSYSDIR
VFWWDM32.DLL=WINSYSDIR

;
; These are the additional files to check for if DX9 
; or above is not installed
;
[9XNonDX9]
Ksclockf.ax=WINSYSDIR
Ksdata.ax=WINSYSDIR
Ksinterf.ax=WINSYSDIR
Ksvpintf.ax=WINSYSDIR
ks.sys=WINDRVDIR
stream.sys=WINDRVDIR

[Win98Components]
acm=1
icm=1

[Win95Components]
acm=1
icm=1

[Win2000Components]
acm=1
icm=1

;
; The ff. sections are used for Registry cleanups
; not deleted by class/device installer
;
[DelServices]
;QCPro=
;QCEmerald=
;QCDonner=
;QCAbsee=
;QCMerced=
;LUSBAudio=
;LVBulk=
;LVVI500A=
;PhilCam8116=
;PID_0900_V=
;PID_0890_I=
;PID_0890_V=
;PID_0900_I=
;LVCam=
;LVComs=
;DCamUSBCompany=

[DelClass]
{36FC9E60-C465-11CF-8056-444553540000}=
{4D36E96C-E325-11CE-BFC1-08002BE10318}=
{6BDD1FC6-810F-11D0-BEC7-08002BE2092F}=

[DelResourceKeys]
;Logitech QuickCam VC USB=
;Logitech USB Video Camera=
;Connectix QuickCam=
;QuickCam Video capture driver=
;msvideo.lvfwwdm=

[RegPath]
Software\\Microsoft\\Conferencing\\CaptureDevices=
Software\\Microsoft\\Conferencing\\CaptureDefaultFormats=
System\\CurrentControlSet\\Control\\MediaResources\\msvideo=